Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLARRC

    java.lang.Object
      org.netlib.lapack.SLARRC

    public class SLARRC

extends java.lang.Object

    SLARRC is a simplified interface to the JLAPACK routine slarrc.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Find the number of eigenvalues of the symmetric tridiagonal matrix T

     *  that are in the interval (VL,VU] if JOBT = 'T', and of L D L^T
     *  if JOBT = 'L'.
     *
     *  Arguments
     *  =========
     *
     *  JOBT    (input) CHARACTER*1
     *          = 'T':  Compute Sturm count for matrix T.
     *          = 'L':  Compute Sturm count for matrix L D L^T.
     *
     *  N       (input) INTEGER
     *          The order of the matrix. N > 0.
     *
     *  VL      (input) DOUBLE PRECISION
     *  VU      (input) DOUBLE PRECISION
     *          The lower and upper bounds for the eigenvalues.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          JOBT = 'T': The N diagonal elements of the tridiagonal matrix
     *          JOBT = 'L': The N diagonal elements of the diagonal matrix D.
     *
     *  E       (input) DOUBLE PRECISION array, dimension (N)
     *          JOBT = 'T': The N-1 offdiagonal elements of the matrix T.
     *          JOBT = 'L': The N-1 offdiagonal elements of the matrix L.
     *
     *  PIVMIN  (input) DOUBLE PRECISION
     *          The minimum pivot in the Sturm sequence for T.
     *
     *  EIGCNT  (output) INTEGER
     *          The number of eigenvalues of the symmetric tridiagonal matrix
     *          that are in the interval (VL,VU]
     *
     *  LCNT    (output) INTEGER
     *  RCNT    (output) INTEGER
     *          The left and right negcounts of the interval.
     *
     *  INFO    (output) INTEGER
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Beresford Parlett, University of California, Berkeley, USA
     *     Jim Demmel, University of California, Berkeley, USA
     *     Inderjit Dhillon, University of Texas, Austin, USA
     *     Osni Marques, LBNL/NERSC, USA
     *     Christof Voemel, University of California, Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLARRC()`

Method Summary
`static void` | `SLARRC(java.lang.String jobt, int n, float vl, float vu, float[] d, float[] e, float pivmin, intW eigcnt, intW lcnt, intW rcnt, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLARRC

    public SLARRC()

Method Detail

### SLARRC

    public static void SLARRC(java.lang.String jobt,
                              int n,
                              float vl,
                              float vu,
                              float[] d,
                              float[] e,
                              float pivmin,
                              intW eigcnt,
                              intW lcnt,
                              intW rcnt,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD